// pages/mine/mine.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    active: 2,
    name:'',
    headerImg:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    var config = wx.getStorageSync('config');
    wx.request({
      url: app.url + 'ajax_get_my_top_dat.php',
      data: {
        unionId: config.unionId
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if (res.statusCode == 200) {
          that.setData({
            name:res.data.result.name,
            headerImg:res.data.result.headerImg
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  activeManagement(){
    wx:wx.navigateTo({
      url: '../activeManagement/activeManagement',
    })
    wx.setNavigationBarTitle({
      title: '活动管理'
    })
  },
  xiaoxi(){
    wx: wx.navigateTo({
      url: '../myNews/myNews',
    })
    wx.setNavigationBarTitle({
      title: '消息通知'
    })
  },
  manual(){
    wx:wx.navigateTo({
      url: '../manual/manual'
    })
    wx.setNavigationBarTitle({
      title: '操作手册'
    })
  },
  myCertificate(){
    wx:wx.navigateTo({
      url: '../myCertificate/myCertificate'
    })
    wx.setNavigationBarTitle({
      title: '我的证书'
    })
  },
  quanzi(){
    wx.reLaunch({
      url: '../circle/circle',
    })
  }
})